PlotNPSDistribution {cheddar} | R Documentation

## Plot distributions of node properties

### Description

High-level functions for plotting distributions of node properties.

### Usage

    PlotNPSDistribution(community,
                        property,
                        main = CPS(community)$title,
                        density.args = list(),
                        ...)

    PlotBDistribution(community,
                      xlab = Log10BLabel(community),
                      ...)

    PlotMDistribution(community,
                      xlab = Log10MLabel(community),
                      ...)

    PlotNDistribution(community,
                      xlab = Log10NLabel(community),
                      ...)

    PlotDegreeDistribution(community,
                           xlab = "Number of links",
                           ...)

### Arguments

`community` | an object of class `Community`.
`property` | the name of a property that is plotted on the y axis. Must meet the criteria of the `properties` parameter of `NPS`.
`main` | title of the plot.
`density.args` | arguments passed to R's `density` function.
`xlab` | title of the x axis.
`...` | other values to plot functions.

### Details

The convenience functions `PlotBDistribution`, `PlotMDistribution` and `PlotNDistribution` are wrappers around `PlotNPSDistribution`.

### Author(s)

Lawrence Hudson

### See Also

`Community`, `NPS`, `DegreeDistribution`, `PlotCircularWeb`, `PlotNPS`, `PlotNPSDistribution`, `PlotRankNPS`, `PlotTLPS`, `PlotWebByLevel`

### Examples

    data(TL84)

    PlotMDistribution(TL84)

    # A bandwidth of 3
    PlotMDistribution(TL84, density.args=list(bw=3))

    PlotDegreeDistribution(TL84)

[Package cheddar version 0.1-633 Index]